classification
Title: adding test suite for cgitb
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.1, Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: brian.curtin Nosy List: brian.curtin, petri.lehtinen, pitrou, python-dev, r.david.murray, robquad
Priority: normal Keywords: needs review, patch

Created on 2011-03-14 23:04 by robquad, last changed 2011-07-08 19:37 by pitrou. This issue is now closed.

Files
File name Uploaded Description Edit
test_cgitb.diff robquad, 2011-03-14 23:04 review
Messages (6)
msg130926 - (view) Author: Robbie Clemons (robquad) Date: 2011-03-14 23:04
Added a test suite for cgitb that provides 75% test coverage according to coverage.py.
msg139910 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-07-06 00:16
New changeset 7e0102ec95d4 by Brian Curtin in branch 'default':
Fix #11512. Add an initial test suite for the cgitb, providing 75% coverage.
http://hg.python.org/cpython/rev/7e0102ec95d4

New changeset f362f0053eab by Brian Curtin in branch 'default':
Normalize whitespace for #11512 fix.
http://hg.python.org/cpython/rev/f362f0053eab
msg139913 - (view) Author: Brian Curtin (brian.curtin) * (Python committer) Date: 2011-07-06 00:21
Sorry it took so long to get to this - thanks a lot for the patch, Robbie!
msg140024 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2011-07-08 11:58
Not sure this is related, but test_robotparser has started failing on one of the buildbots after this change:
http://www.python.org/dev/buildbot/all/builders/AMD64%20Gentoo%20Wide%203.x/builds/2070
msg140029 - (view) Author: Robbie Clemons (robquad) Date: 2011-07-08 14:28
Pretty sure it has nothing to do with the new cgitb test.  Apparently
testPasswordProtectedSite (test.test_robotparser.NetworkTestCase) uses
website http://mueblesmoraleda.com to run it's test and that site is
currently down.

On Fri, Jul 8, 2011 at 7:58 AM, Antoine Pitrou <report@bugs.python.org> wrote:
>
> Antoine Pitrou <pitrou@free.fr> added the comment:
>
> Not sure this is related, but test_robotparser has started failing on one of the buildbots after this change:
> http://www.python.org/dev/buildbot/all/builders/AMD64%20Gentoo%20Wide%203.x/builds/2070
>
> ----------
> nosy: +pitrou
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue11512>
> _______________________________________
>
msg140039 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2011-07-08 19:37
> Pretty sure it has nothing to do with the new cgitb test.  Apparently
> testPasswordProtectedSite (test.test_robotparser.NetworkTestCase) uses
> website http://mueblesmoraleda.com to run it's test and that site is
> currently down.

Indeed. It's actually related to that + the fact that this particular
buildbot uses OpenDNS. Fixed in 71fed8437db1 and friends.
History
Date User Action Args
2011-07-08 19:37:31pitrousetmessages: + msg140039
2011-07-08 14:28:49robquadsetmessages: + msg140029
2011-07-08 11:58:26pitrousetnosy: + pitrou
messages: + msg140024
2011-07-06 00:21:17brian.curtinsetstatus: open -> closed
resolution: fixed
messages: + msg139913

stage: patch review -> resolved
2011-07-06 00:16:54python-devsetnosy: + python-dev
messages: + msg139910
2011-05-24 16:28:58r.david.murraysetnosy: + r.david.murray
2011-05-24 15:48:27petri.lehtinensetnosy: + petri.lehtinen
2011-03-15 02:13:54brian.curtinsetkeywords: + needs review
assignee: brian.curtin
versions: + Python 3.1, Python 2.7, Python 3.2, Python 3.3
nosy: brian.curtin, robquad
stage: patch review
2011-03-14 23:04:51robquadcreate